List operating systems for an SBM flavor
A GET request to /v1/locations/{location_id}/order_options/sbm_flavor_models/{sbm_flavor_model_id}/operating_systems will show operating systems available for an SBM server within a specified location. Location and flavor IDs have to be specified in the path parameters. Windows operating systems are unavailable for SBM servers.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
sbm_flavor_model_id | stringA unique identifier of an SBM flavor. To list all flavors, use the relevant request. |
Query Parameters
| Field | Details |
|---|---|
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1588/order_options/sbm_flavor_models/2708/operating_systems"[ { "id": 269, "full_name": "Ubuntu 18.04-server x86_64", "name": "Ubuntu", "version": "18.04-server", "arch": "x86_64", "filesystems": [ "ext2", "ext4", "swap", "xfs", "reiser" ] }, { "id": 270, "full_name": "Debian 7 x86_64", "name": "Debian", "version": "7", "arch": "x86_64", "filesystems": [ "ext2", "ext4", "swap", "xfs", "reiser" ] }, { "id": 272, "full_name": "Debian 7 x86_64", "name": "Debian", "version": "7", "arch": "x86_64", "filesystems": [ "ext2", "ext4", "swap", "xfs", "reiser" ] }]